package CRSDK;

@SuppressWarnings("unused")
public enum CrPropertyCustomWBExecutionState {
    CrPropertyCustomWBExecutionState_Invalid(0),
    CrPropertyCustomWBExecutionState_Standby (CrPropertyCustomWBExecutionState_Invalid.getValue()+1),
    CrPropertyCustomWBExecutionState_Capturing (CrPropertyCustomWBExecutionState_Invalid.getValue()+2),
    CrPropertyCustomWBExecutionState_OperatingCamera (CrPropertyCustomWBExecutionState_Invalid.getValue()+3);

    private final CrInt16u value;
    CrPropertyCustomWBExecutionState(int value) {
        this.value = new CrInt16u(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
